Subject: Re: [bug#64657] [PATCH] gnu: Add emacs-mu4e-dashboard.

From: A <[email-masked]>
Date: Sun, 16 Jul 2023 12:56:50 +0400

Hello,

On 7/16/23 11:37, Liliana Marie Prikler wrote:
> Am Sonntag, dem 16.07.2023 um 10:10 +0400 schrieb Ahmad Draidi:
>> * gnu/packages/emacs-xyz.scm (emacs-mu4e-dashboard): New variable.
>> ---
>>   gnu/packages/emacs-xyz.scm | 27 +++++++++++++++++++++++++++
>>   1 file changed, 27 insertions(+)
>>
>> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
>> index 480096fb50..39e16da4cc 100644
>> --- a/gnu/packages/emacs-xyz.scm
>> +++ b/gnu/packages/emacs-xyz.scm
>> @@ -26203,6 +26203,33 @@ (define-public emacs-mu4e-conversation
>>   maps the thread tree.")
>>         (license license:gpl3+))))
>>   
>> +;; Package has no releases or tags.  Version is extracted from
>> "Version:"
>> +;; keyword in main file.
>> +(define-public emacs-mu4e-dashboard
>> +  (let ((commit "16ffbb2a36817647e345f60acdfaac66dda28c0f")
>> +        (revision "0"))
>> +    (package
>> +      (name "emacs-mu4e-dashboard")
>> +      (version (git-version "0.1.1" revision commit))
>> +      (source (origin
>> +                (method git-fetch)
>> +                (file-name (git-file-name name version))
>> +                (uri (git-reference
>> +                      (url
>> "https://github.com/rougier/mu4e-dashboard")
>> +                      (commit commit)))
>> +                (sha256
>> +                 (base32
>> +
>> "1fp2f9rvh20r3advbzcgm5vv2dzcyvy1618hfykbm6ac4wjscdll"))))
> Please put the file-name below the uri next time.  Also, I see you
> submitting quite a number of patches for emacs packages; if possible,
> try to make topical series so that they can be reviewed in one go.

Noted.

Should I resend this and a couple of other patches I submitted with the 
file-name position change?

> Cheers